# Show_Window_XXX

## Functions

HIC_Int_Rectangle * | `HIC_Show_Window_Extent`
float | `HIC_Show_Window_Color_Red`
float | `HIC_Show_Window_Color_Green`
float | `HIC_Show_Window_Color_Blue`
HIC_Integer32 | `HIC_Show_Internal_Window_Color`
float | `HIC_Show_Window_Contrast_Color_Red`
float | `HIC_Show_Window_Contrast_Color_Green`
float | `HIC_Show_Window_Contrast_Color_Blue`
HIC_Integer32 | `HIC_Show_Internal_Window_Contrast_Color`
char | `HIC_Show_Window_Pattern`
HIC_Texture * | `HIC_Show_Window_Texture`

## Detailed Description

group Show_Window_XXX

## Function Documentation

HIC_Int_Rectangle *HIC_Show_Window_Extent(HIC_Rendition *nr)

  This function returns the window extent.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a HIC_Int_Rectangle.

float HIC_Show_Window_Color_Red(HIC_Rendition *nr)

  This function returns the red component of the window color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Window_Color_Green(HIC_Rendition *nr)

  This function returns the green component of the window color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Window_Color_Blue(HIC_Rendition *nr)

  This function returns the blue component of the window color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Integer32 HIC_Show_Internal_Window_Color(HIC_Rendition *nr)

  This function returns the internal representation of the window color.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HIC_Integer32.

float HIC_Show_Window_Contrast_Color_Red(HIC_Rendition *nr)

  This function returns the red component of the window contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Window_Contrast_Color_Green(HIC_Rendition *nr)

  This function returns the green component of the window contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Window_Contrast_Color_Blue(HIC_Rendition *nr)

  This function returns the blue component of the window contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Integer32 HIC_Show_Internal_Window_Contrast_Color(HIC_Rendition *nr)

  This function returns the internal representation of the internal window contrast color.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HIC_Integer32.

char HIC_Show_Window_Pattern(HIC_Rendition *nr)

  This function returns the window pattern.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A char.

HIC_Texture *HIC_Show_Window_Texture(HIC_Rendition *nr)

  This function returns the window texture.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A void pointer.